Bug 1649040 - Update for host task is no clear with what happened, and next steps
Summary: Update for host task is no clear with what happened, and next steps
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Tasks Plugin
Version: Unspecified
Hardware: Unspecified
OS: Unspecified
high
medium vote
Target Milestone: Released
Assignee: Adam Ruzicka
QA Contact: Jan Hutař
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-12 18:44 UTC by Bryan Kearney
Modified: 2019-10-07 17:13 UTC (History)
4 users (show)

Fixed In Version: tfm-rubygem-katello-3.10.0-0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:38:41 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:38:50 UTC
Foreman Issue Tracker 25443 None None None 2018-11-13 13:24:22 UTC

Description Bryan Kearney 2018-11-12 18:44:17 UTC
I see several tasks whose title is 

Update for host

and whose error is

Required lock is already taken by other running tasks.
Please inspect their state, fix their errors and resume them.

Required lock: update
Conflicts with tasks:
- https://dhcp-8-29-228.lab.eng.rdu2.redhat.com/foreman_tasks/tasks/c2e684d8-2ba1-4556-b0e9-71b868334f69

It is not clear what the task is or what steps need to be taken to fix this. 

Please improve the task name with the name of the host. Also, some indication of what the user should do would be helpful.

Comment 1 Adam Ruzicka 2018-11-13 13:24:15 UTC
Created redmine issue http://projects.theforeman.org/issues/25443 from this bug

Comment 3 pm-sat@redhat.com 2018-11-13 15:01:36 UTC
Upstream bug assigned to aruzicka@redhat.com

Comment 4 pm-sat@redhat.com 2018-11-13 15:01:39 UTC
Upstream bug assigned to aruzicka@redhat.com

Comment 6 pm-sat@redhat.com 2018-11-14 21:01:44 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25443 has been resolved.

Comment 11 errata-xmlrpc 2019-05-14 12:38:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.